# $Revision: 1.48 $, $Date: 2012/02/03 08:56:01 $
#
# Conditional build:
%bcond_with		repcached		# repcached support, http://repcached.lab.klab.org/

Summary:	A high-performance, distributed memory object caching system
Summary(pl.UTF-8):	Rozproszony, wysokiej wydajności system cache'owania obiektów
Name:		memcached
Version:	1.4.13
Release:	1
License:	BSD
Group:		Networking/Daemons
Source0:	http://memcached.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	6d18c6d25da945442fcc1187b3b63b7f
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.tmpfiles
URL:		http://memcached.org/
Patch0:		repcached.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libevent-devel >= 1.1
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	rc-scripts >= 0.4.1.23
Provides:	group(memcached)
Provides:	user(memcached)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A high-performance, distributed memory object caching system.

%description -l pl.UTF-8
Rozproszony, wysokiej wydajności system cache'owania obiektów.

%prep
%setup -q
%{?with_repcached:%patch0 -p1}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_repcached:--enable-replication} \
	--disable-coverage
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{rc.d/init.d,sysconfig},/var/run/memcached} \
	$RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man1} \
	$RPM_BUILD_ROOT/usr/lib/tmpfiles.d

install -p memcached $RPM_BUILD_ROOT%{_sbindir}
cp -p doc/memcached.1 $RPM_BUILD_ROOT%{_mandir}/man1

install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
cp -p %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

install %{SOURCE3} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/%{name}.conf

%pre
%groupadd -g 209 %{name}
%useradd -u 209 -d /usr/share/empty -g %{name} -c "Memcached User" %{name}

%post
/sbin/chkconfig --add %{name}
%service %{name} restart

%preun
if [ "$1" = "0" ]; then
	%service -q %{name} stop
	/sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" = "0" ]; then
	%userremove %{name}
	%groupremove %{name}
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README doc/*.txt
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(755,root,root) %{_sbindir}/%{name}
%{_mandir}/man1/memcached.1*
%dir %attr(770,root,memcached) /var/run/memcached
/usr/lib/tmpfiles.d/%{name}.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: memcached.spec,v $
Revision 1.48  2012/02/03 08:56:01  lisu
- updated to 1.4.13

Revision 1.47  2012/01/31 11:53:09  baggins
- release 2

Revision 1.46  2012/01/31 11:31:42  baggins
- added tmpfiles config for systemd

Revision 1.45  2012/01/22 11:47:37  zbyniu
- up to 1.4.11

Revision 1.44  2011/11/10 12:41:32  glen
- up to 1.4.10

Revision 1.43  2011/02/24 21:10:07  lisu
- rel 3 (rebuild with new libevent)

Revision 1.42  2010/05/06 11:36:02  glen
- repcached patch (default off)

Revision 1.41  2010/04/05 08:08:12  glen
- release 2

Revision 1.40  2010/04/05 08:07:54  glen
- up to 1.4.5

Revision 1.39  2009/12/01 11:38:19  lisu
- 1.4.4

Revision 1.38  2009/11/12 08:10:43  lisu
- new URL

Revision 1.37  2009/11/09 11:11:07  lisu
- up to 1.4.3

Revision 1.36  2009/10/13 12:02:48  lisu
- up to 1.4.2
- no TODO file in %doc

Revision 1.35  2009/08/31 09:26:52  lisu
- up to 1.4.1

Revision 1.34  2009/08/03 11:50:54  glen
- disable-coverage; rel 2

Revision 1.33  2009/07/14 07:31:51  lisu
- up to 1.4.0
- merge from DEVEL

Revision 1.32  2009/05/13 15:03:55  blues
- 1.2.8 fixes CVE-2009-1255

Revision 1.31.2.1  2009/04/17 10:20:01  lisu
- 1.3.3 beta version

Revision 1.31  2009/04/16 09:22:22  lisu
- up to 1.2.8

Revision 1.30  2009/03/17 11:58:17  glen
- release 3

Revision 1.29  2009/03/17 11:57:51  glen
- --pidfile to daemon() was added in 0.4.1.23; rel 2

Revision 1.28  2008/11/24 18:09:36  glen
- update to 1.2.6
- add support for several daemons

Revision 1.27  2008/11/16 19:45:37  glen
- release 4

Revision 1.26  2008/09/01 20:05:03  arekm
- release 3

Revision 1.25  2008/08/26 18:21:47  arekm
- release 2

Revision 1.24  2008-03-04 11:49:04  arekm
- up to 1.2.5

Revision 1.23  2007-12-28 09:05:32  glen
- rel 2 (1 for ac)

Revision 1.22  2007-12-28 02:51:34  zbyniu
- up to 1.2.4

Revision 1.21  2007-11-18 18:06:31  arekm
- rel 3

Revision 1.20  2007-10-06 14:23:34  radek
- release 2: rebuild with new libevent

Revision 1.19  2007/06/12 11:14:20  glen
- 1.2.2

Revision 1.18  2007/04/02 12:47:30  baggins
- rel 2

Revision 1.17  2007/02/19 21:17:42  glen
- update to 1.2.1

Revision 1.16  2007/02/13 06:46:53  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.14  2006/10/19 10:29:59  glen
- rel 4

Revision 1.13  2006/08/21 20:51:21  glen
- rebuild with libevent

Revision 1.12  2006/04/20 16:33:35  glen
- fix chkconfig deps

Revision 1.11  2006/02/06 11:01:20  blues
- pl-only: robimy wysokiej wydajności cache obiektów, a nie cache
  obiektów wysokiej wydajności... trochę zmienia to sens.

Revision 1.10  2006/02/05 21:24:16  glen
- rel 2: updated initscript (more still todo), but STBR

Revision 1.9  2006/02/03 23:00:30  glen
- macros for %service

Revision 1.8  2006/02/03 22:53:21  arekm
- rel 1; add init scripts

Revision 1.7  2005/06/22 14:03:42  glen
- fix license (BSD)

Revision 1.6  2005/06/22 14:02:02  glen
- really move to sbin

Revision 1.5  2005/06/22 14:00:01  glen
- daemon moved to sbindir

Revision 1.4  2005/05/01 09:01:49  glen
- 1.1.12

Revision 1.3  2005/04/06 13:52:26  malekith
- pl fix (?)

Revision 1.2  2005/04/04 20:04:43  darekr
- BR: autoconf

Revision 1.1  2005/04/04 19:24:56  malekith
- new
